net.sourceforge.pmd.lang.java.rule.regex

## Class RegexHelper

- java.lang.Object
- - net.sourceforge.pmd.lang.java.rule.regex.RegexHelper

-     public final class RegexHelper
      extends Object

  A simple helper class to regroup a bunch of method generally used by rules using regex.
  Author:
    Romain PELISSE, belaran@gmail.com

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static List<Pattern>` | `compilePatternsFromList(List<String> list)` Compiles a list of regex into a list of patterns.
    `static boolean` | `isMatch(Pattern pattern, String subject)` Simple commodity method (also designed to increase readability of source code, and to decrease import in the calling class).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### compilePatternsFromList

          public static List<Pattern> compilePatternsFromList(List<String> list)

      Compiles a list of regex into a list of patterns.
      Parameters:
        `list` - the regex list
      Returns:
        the pattern list

    - #### isMatch

          public static boolean isMatch(Pattern pattern,
                        String subject)

      Simple commodity method (also designed to increase readability of source code, and to decrease import in the calling class). Provide a pattern and a subject, it'll do the proper matching.
      Parameters:
        `pattern` - a compiled regex pattern
        `subject` - a String to match
      Returns:
        `true` if there is a match; `false` otherwise

Copyright © 2002-2013 InfoEther. All Rights Reserved.